Asteroid = Object:extend()
math.randomseed(os.time())

function Asteroid:new()
	asteroid = {}
	asteroid.x = love.window.getWidth()
	asteroid.y = 0
	asteroid.speed = 500
	asteroid.img = love.graphics.newImage("assets/asteroid.png")
	
	createEnemyTimerMax = 1
	createEnemyTimer = createEnemyTimerMax
end

function Asteroid:update(dt)
	createEnemyTimer = createEnemyTimer - 1 * dt
	if createEnemyTimer < 0 then
		createEnemyTimer = createEnemyTimerMax
		
		--random number
		randomNumber = math.random(128, love.window.getHeight() - 200)
		--end random number 
		
		newAsteroid = {x = asteroid.x, y = randomNumber, img = asteroid.img}
		table.insert(asteroid, newAsteroid)
	end
	
	for i, a in ipairs (asteroid) do
		a.x = a.x - (200 * dt)
		
		if a.x < -10 then
			table.remove(asteroid, i)
		end
	end
end

function Asteroid:draw(dt)
		for i,asteroid in ipairs(asteroid) do
			love.graphics.draw(asteroid.img, asteroid.x, asteroid.y)
	end
end